Index Page clight_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble clight_c ( void )

#### Abstract

       Return the speed of light in a vacuum (IAU official
       value, in km/sec).

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       The function returns the speed of light in vacuo (km/sec).

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns the IAU official value for the speed of light
       in vacuo: 299792.458 km/sec.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The function always returns the constant value shown above.

#### Examples

       The following example uses clight_c to determine the one-way
       light-time (tau) to an object whose position relative to an
       observer is contained in pos.

          tau = vnorm_c ( pos ) / clight_c ();

       Note that the SPK readers

          spkezr_c
          spkez_c
          spkpos_c
          spkezp_c

       return the one-way light time as an output, for example

          spkez_c  ( ..., &tau );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.2, 07-FEB-2008 (EDW) (NJB)

          Corrected typos in header titles:

          Detailed Input to Detailed_Input
          Detailed Output to Detailed_Output

          Updated example to show pointer output argument
          `tau' and list other high-level SPK routines that
          return light time. Call to bodmat_c was removed
          from example.

       -CSPICE Version 1.0.1, 11-NOV-2006 (EDW)

          Added Parameters section header.

       -CSPICE Version 1.0.0, 16-APR-1999 (EDW)

#### Index_Entries

       measured velocity of light in a vacuum

#### Link to routine clight_c source file clight_c.c

    Wed Apr  5 17:54:30 2017